Bug 1489728 - Assorted bundle fixes
Summary: Assorted bundle fixes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pacemaker
Version: 7.4
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: 7.5
Assignee: Ken Gaillot
QA Contact: Marian Krcmarik
Steven J. Levine
URL:
Whiteboard:
Depends On:
Blocks: 1489735 1497602 1501274
TreeView+ depends on / blocked
 
Reported: 2017-09-08 08:36 UTC by Michele Baldessari
Modified: 2018-04-10 15:32 UTC (History)
11 users (show)

Fixed In Version: pacemaker-1.1.18-1.el7
Doc Type: Release Note
Doc Text:
Pacemaker now probes guest nodes Important update for users of guest nodes. Pacemaker now probes guest nodes, which are Pacemaker remote nodes created using the `remote-node` parameter of a resource such as `VirtualDomain`. If users were previously relying on the fact that probes were not done, the probes may fail, potentially causing fencing of the guest node. If a guest node cannot run a probe of a resource (for example, if the software is not even installed on the guest), then the location constraint banning the resource from the guest node should have the `resource-discovery` option set to `never`, the same as would be required with a cluster node or remote node in the same situation.
Clone Of:
: 1497602 1523352 (view as bug list)
Environment:
Last Closed: 2018-04-10 15:30:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3255551 None None None 2018-02-08 20:56:25 UTC
Red Hat Product Errata RHEA-2018:0860 None None None 2018-04-10 15:32:11 UTC

Description Michele Baldessari 2017-09-08 08:36:37 UTC
Description of problem:
While the latest pacemaker in rhel-7.4 (1.1.16-12) has a pretty much working
bundle implementation, we found a number of issues around bundles that need
fixing for OSP12. Namely:
- Unfencing bundles
- Nested container connections 
- Notify not working inside bundles
- container-attribute-target support (to let RAs decide where to store attributes)
- Colocation bundle issues

The fixes for the above have already been developed by Andrew and are all
present in the package we have tested for OSP12 in the last weeks:
http://people.redhat.com/mbaldess/rpms/container-repo/srpms/pacemaker-1.1.16-12.12.el7.src.rpm

This BZ is mainly to make sure we get all these fixes released for OSP12

Comment 1 Oneata Mircea Teodor 2017-09-08 09:29:16 UTC
Hello Michelle,

This bug is not raised correctly. In order to have a zstream bug we need to clone from Y stream bug, we cannot raise directly a zstream bug.
Please check the zstream process documentation, https://mojo.redhat.com/docs/DOC-1021938#jive_content_id_The_workflow

Comment 2 Michele Baldessari 2017-09-08 09:45:29 UTC
Hi Oneata,

yeah did this by mistake, undone. Thanks

Comment 5 Ken Gaillot 2017-09-13 16:28:56 UTC
FYI the unfencing part has its own Bug 1394418

Comment 6 Andrew Beekhof 2017-09-14 10:57:09 UTC
Additional patches in http://people.redhat.com/mbaldess/rpms/container-repo/srpms/pacemaker-1.1.16-12.13.el7.src.rpm

+ Andrew Beekhof (31 hours ago) 2709e5c: Fix: PE: Do not send notifications to unclean bundles 
+ Andrew Beekhof (31 hours ago) e3485d6: Fix: PE: Prevent graph loops when fencing the host out from underneath a bundle

Comment 8 Ken Gaillot 2017-09-29 21:42:57 UTC
These are all fixed upstream

Comment 12 Steven J. Levine 2017-12-07 18:12:20 UTC
Ken:

(Release note work)

It turns out bundles remain in tech. preview for 7.5, but I don't think that affects this release note writeup.

I downgraded the all-caps in your original note, since that's a little bit out of style.  We can move this note to the top of the new feature list for clustering and it now has a title which should cause anybody who uses guest nodes to at least notice it and it begins with the isolated sentence about this being important (without being in all-caps).

Do you think that's sufficient?

Steven

Comment 13 Steven J. Levine 2017-12-07 18:19:01 UTC
(For release note:  We don't capitalize "Remote Node" in the docs so I uncapitalized it here.)

Comment 14 Ken Gaillot 2017-12-07 18:38:00 UTC
The new text looks good, except for the Pacemaker Remote capitalization. I find the Pacemaker Remote terminology unfortunate, but it's what we have to work with ...

We have:
* cluster node = node running the full cluster stack including corosync
* remote node = node running pacemaker_remote and integrated into the cluster via an ocf:pacemaker:remote resource
* guest node = node running pacemaker_remote and integrated into the cluster via a resource such as VirtualDomain with the remote-node parameter set

There's no accepted term for "any node running pacemaker_remote", aka "remote node or guest node", so I've been using "Pacemaker Remote node". Feel free to use something else, but the intention is not the same as "remote node".

Comment 18 errata-xmlrpc 2018-04-10 15:30:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:0860


Note You need to log in before you can comment on or make changes to this bug.